yum-ovl(1)

NAME
yum-ovl - Performs an initial copy-up of yum(8) package database.

OPTIONS
-d debug-level If debug level is 2 and more, print out the number of files copied up from the lower layer

DESCRIPTION
Opening a file on OverlayFS in read-only mode causes the file from
lower layer to be opened, then later on, if the same file is opened
in write mode, a copy-up into the upper layer takes place,
resulting into a new file being opened.
Since yum(8) needs to open the RPMdb first read-only, and then
also with write access, we need to copy-up the files beforehand to
make sure that the access is consistent.

FILES
/usr/lib/yum-plugins/ovl.py Plugin itself

/etc/yum/pluginconf.d/ovl.conf Configuration file allowing to enable/disable the plugin

AUTHOR
Pavel Odvody podvody@redhat.com

LICENSE
2015, Red Hat, Licensed under GPLv2+

SEE ALSO
yum(1) yum(8) rpmdb(8)